Bug 620638 - [RFE] Improve boot time by removing the boot menu
[RFE] Improve boot time by removing the boot menu
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: 3.3.4
Assigned To: Michal Skrivanek
meital avital
virt
: EasyFix, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 02:23 EDT by Itamar Heim
Modified: 2014-09-28 02:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 04:17:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itamar Heim 2010-08-03 02:23:10 EDT
bootmenu is shown today on guest startup which takes several seconds.
in most cases this is not relevant to user.
suggestion is for vdsm to pass 
<bootmenu enable="no"/>

to libvirt by default.

only case vdsm will pass <bootmenu enable="yes"> would be when rhev-m requested to start the vm in paused mode (logic is that in almost any other case, user won't get to see the boot menu).

only caveat is the boot menu won't be shown by default when guest reboots, but i think this is good enough
Comment 1 Yaniv Kaul 2010-08-03 02:29:56 EDT
Unless we want in the future to have the boot splash screen that is on its way to QEMU upstream.
Comment 2 Itamar Heim 2010-08-03 07:03:06 EDT
(In reply to comment #1)
> Unless we want in the future to have the boot splash screen that is on its way
> to QEMU upstream.    

do you think users will actually see it in most cases?
Comment 3 Michal Skrivanek 2013-08-19 06:14:23 EDT
seems the default is off nowadays...

Note You need to log in before you can comment on or make changes to this bug.